Compare commits

...
Sign in to create a new pull request.

5 commits

Author SHA1 Message Date
Fedora Release Engineering
b0172f4a38 dist-git conversion 2010-07-29 15:57:55 +00:00
Bill Nottingham
14da689b9e Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:34:31 +00:00
9ad4baedcf temporarily revert xmllint noent change (#488093) 2009-03-02 17:19:28 +00:00
89af92cdda fix cleaning up of temporary files with libpaper, fix xmllint postvalid
(added noent option), fix stringparam functionality, ship documentation
    files, spec file cleanup(merge review)
2009-01-28 12:22:22 +00:00
Jesse Keating
4c6dcd8241 Initialize branch F-10 for xmlto 2008-11-07 04:42:22 +00:00
6 changed files with 94 additions and 31 deletions

View file

View file

@ -1,21 +0,0 @@
# Makefile for source rpm: xmlto
# $Id: Makefile,v 1.1 2004/09/09 14:53:32 cvsdist Exp $
NAME := xmlto
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attempt a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

28
xmlto-libpaper.patch Normal file
View file

@ -0,0 +1,28 @@
diff -urNp xmlto-0.0.21-orig/xmlto.in xmlto-0.0.21/xmlto.in
--- xmlto-0.0.21-orig/xmlto.in 2009-01-28 12:32:29.000000000 +0100
+++ xmlto-0.0.21/xmlto.in 2009-01-28 12:35:10.000000000 +0100
@@ -1,5 +1,5 @@
#!@BASH@
-#
+#
# @PACKAGE@ - apply an XSL stylesheet to an XML document
# Copyright (C) 2001, 2002, 2003 Tim Waugh <twaugh@redhat.com>
@@ -106,6 +106,8 @@ then
if [ -n "$paperheight" -a -n "$paperwidth" ]
then
papersizemod=$(${MKTEMP} ${TMPDIR:-/tmp}/@PACKAGE@-xsl.XXXXXX)
+ CLEANFILES[$CLEANFILE_COUNT]="$papersizemod"
+ CLEANFILE_COUNT=$(($CLEANFILE_COUNT + 1))
cat << EOF > "$papersizemod"
<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -337,8 +339,6 @@ case "$DEST_FORMAT" in
fo | pdf | ps | dvi)
if [ -n "$papersizemod" ]
then
- CLEANFILES[$CLEANFILE_COUNT]="$papersizemod"
- CLEANFILE_COUNT=$(($CLEANFILE_COUNT + 1))
XSL_MODS[$XSL_MOD_COUNT]="$papersizemod"
XSL_MOD_COUNT=$(($XSL_MOD_COUNT + 1))
fi

22
xmlto-stringparam.patch Normal file
View file

@ -0,0 +1,22 @@
diff -urNp xmlto-0.0.21-orig/THANKS xmlto-0.0.21/THANKS
--- xmlto-0.0.21-orig/THANKS 2008-02-25 15:24:59.000000000 +0100
+++ xmlto-0.0.21/THANKS 2009-01-05 17:55:58.000000000 +0100
@@ -11,3 +11,4 @@ Shlomi Fish <shlomif@gmail.com>
Braden McDaniel <braden@endoframe.com>
Andreas Hoenen <andreas.hoenen@arcor.de>
Graham Wilson <graham@debian.org>
+Joseph Parmelee <jparmele@wildbear.com>
diff -urNp xmlto-0.0.21-orig/xmlto.in xmlto-0.0.21/xmlto.in
--- xmlto-0.0.21-orig/xmlto.in 2008-05-30 15:41:31.000000000 +0200
+++ xmlto-0.0.21/xmlto.in 2009-01-05 17:55:12.000000000 +0100
@@ -273,8 +273,8 @@ while [ "$#" -gt "0" ]; do
;;
--stringparam)
MYPARAM="$2"
- XSLTPARAMS="XSLTPARAMS --stringparam ${MYPARAM%=*}"
- XSLTPARAMS="XSLTPARAMS $MYPARAM#*=}"
+ XSLTPARAMS="$XSLTPARAMS --stringparam ${MYPARAM%=*}"
+ XSLTPARAMS="$XSLTPARAMS ${MYPARAM#*=}"
shift 2
;;
--noclean)

View file

@ -0,0 +1,16 @@
diff -urNp xmlto-0.0.21-orig/xmlto.in xmlto-0.0.21/xmlto.in
--- xmlto-0.0.21-orig/xmlto.in 2009-01-28 12:51:19.000000000 +0100
+++ xmlto-0.0.21/xmlto.in 2009-01-28 12:54:35.000000000 +0100
@@ -427,8 +427,10 @@ if [ "$SKIP_VALIDATION" -eq 0 ] && [ "$S
then
VALIDATION="${XSLT_PROCESSED_DIR}/validation-errors"
[ "$VERBOSE" -ge 1 ] && \
- echo >&2 "xmllint >/dev/null --xinclude --postvalid \"$INPUT_FILE\""
- xmllint >/dev/null --xinclude --postvalid "$INPUT_FILE" 2>"${VALIDATION}"
+ echo >&2 \
+ "xmllint >/dev/null --xinclude --postvalid --noent \"$INPUT_FILE\""
+ xmllint >/dev/null --xinclude --postvalid --noent \
+ "$INPUT_FILE" 2>"${VALIDATION}"
xmllint_status=$?
if [ $xmllint_status -ne 0 ]
then

View file

@ -1,25 +1,29 @@
Summary: A tool for converting XML files to various formats
Name: xmlto
Version: 0.0.21
Release: 2%{?dist}
License: GPLv2
Release: 4%{?dist}
#xmlto is released under GPLv2+ license, xmlif under GPL+ license
License: GPLv2+ and GPL+
Group: Applications/System
#Older versions up to xmlto-0.0.20
#URL: http://cyberelk.net/tim/xmlto/
#Source0: http://cyberelk.net/tim/data/xmlto/stable/%{name}-%{version}.tar.bz2
URL: https://fedorahosted.org/xmlto/
Source0: http://svn.fedorahosted.org/svn/%{name}/%{name}-%{version}.tar.bz2
Patch0: xmlto-stringparam.patch
Patch1: xmlto-libpaper.patch
#Patch2: xmlto-xmllintoptions.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: docbook-xsl >= 1.56.0
BuildRequires: /usr/bin/xsltproc
BuildRequires: libxslt
BuildRequires: util-linux, flex
# We rely heavily on the DocBook XSL stylesheets!
Requires: docbook-xsl >= 1.56.0
Requires: text-www-browser
Requires: /usr/bin/xsltproc
Requires: libxslt
Requires: docbook-dtds
Requires: util-linux, flex
@ -30,7 +34,7 @@ stylesheets.
%package tex
Group: Applications/System
License: GPLv2
Summary: A set of xmlto backends with TeX requirements
Summary: A set of xmlto backends with TeX requirements
# For full functionality, we need passivetex.
Requires: passivetex >= 1.11
# We require main package
@ -42,24 +46,28 @@ PassiveTeX/TeX for functionality.
%prep
%setup -q
%patch0 -p1 -b .stringparam
%patch1 -p1 -b .libpapercleanup
#%patch2 -p1 -b .xmllintoptions
%build
touch doc/xmlto.xml doc/xmlif.xml
%configure
make
make %{?_smp_mflags}
%check
make check
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root)
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto
@ -68,14 +76,24 @@ rm -rf $RPM_BUILD_ROOT
%exclude %{_datadir}/xmlto/format/fo/pdf
%files tex
%defattr(-,root,root)
%defattr(-,root,root,-)
%{_datadir}/xmlto/format/fo/dvi
%{_datadir}/xmlto/format/fo/ps
%{_datadir}/xmlto/format/fo/pdf
%changelog
* Mon Mar 02 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-4
- temporarily revert xmllint noent change (#488093)
* Wed Jan 28 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-3
- fix cleaning up of temporary files with libpaper(Debian)
- fix xmllint postvalid (added noent option)
- fix stringparam option functionality
- correct doc filelist attributes, fix license, ship
documentation files, spec file cleanup
* Fri Jul 11 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-2
- xmlto-tex subpackage to prevent requirements for
- xmlto-tex subpackage to prevent requirements for
passivetex/tex for all backends(#454341)
* Mon Jun 20 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.21-1